#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - preinstall script for lm_sensors
#
# Creation:     2012-07-27  hb
# Last Update:  2024-03-16  Marcus Roeckrath
#
# Copyright (c) 2012-2013  Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#               2024       Marcus Roeckrath, marcus(dot)roeckrath(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=lm_sensors

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
if [ -f "/var/install/deinstall/${package_name}" ]
then
    if grep -q 'lm-sensors' /var/install/menu/setup.services.menu
    then
        sed -i 's#lm-sensors#lm_sensors#' /var/install/menu/setup.services.menu
    fi
fi

# "eisman uninstall --update" is called automatically after exit

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
