#! /bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/LM_SENSORS_CHIP_CUI.sh - script dialog for ece
#
# Creation:     2012-07-29 hbfl
# Last update:  $Id: LM_SENSORS_CHIPS_CUI.sh 5250 2013-01-20 21:46:42Z holbru $
#
# Copyright (c) 2012-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ---------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ---------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist='nobody'

    ece_select_list_dlg "${win}" "Select the chip" "${sellist}"
}

# ---------------------------------------------------------------------------
# main routine
# ---------------------------------------------------------------------------

cui_init
cui_run

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------

exit 0
